# -*- coding: utf-8 -*-

from unittest import mock
import os

import six

from pungi.phases.gather.methods import method_nodeps as nodeps
from tests import helpers

COMPS_FILE = os.path.join(helpers.FIXTURE_DIR, "comps.xml")


class TestWritePungiConfig(helpers.PungiTestCase):
    def setUp(self):
        super(TestWritePungiConfig, self).setUp()
        self.compose = helpers.DummyCompose(self.topdir, {})
        self.compose.paths.work.comps = mock.Mock(return_value=COMPS_FILE)

    def test_expand_group(self):
        packages = nodeps.expand_groups(
            self.compose, "x86_64", None, ["core", "text-internet"]
        )
        six.assertCountEqual(
            self,
            packages,
            [
                ("dummy-bash", "x86_64"),
                ("dummy-elinks", "x86_64"),
                ("dummy-tftp", "x86_64"),
            ],
        )
